## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/
v2.0
/locales
/{localeId}
/yesnointents
/{intentId}
/sentences
/{sentenceId}

Try it

### Get a Sentence

#### cURL

```
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId} \
  --header 'X-API-Key: <api-key>'
```

#### Python

```
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch API)

```
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP

```
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "", 
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

#### Go

```
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/locales/{localeId}/yesnointents/{intentId}/sentences/{sentenceId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Status Codes

- 200
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504

### Response Example

```
{
  "localeReference": "<string>",
  "feedbackReport": {
    "findings": [{}],
    "info": {
      "trueIntent": "<string>",
      "topIntent": "<string>",
      "runnerUp": "<string>",
      "topScore": 123,
      "runnerUpScore": 123,
      "difference": 123,
      "trueIntentName": "<string>",
      "topIntentName": "<string>",
      "runnerUpIntentName": "<string>"
    }
  },
  "text": "I want to buy a pizza.",
  "slots": [{
    "type": "anySlot",
    "name": "<string>",
    "start": 123,
    "end": 123
  }],
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}
```

### Error Response Example

```
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorization

#### APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2APIKeyHeaderAPIKeyQueryParamCXoneTokenHeaderOAuth2

**X-API-Key**  
string  
header  
required  
Supply the API Key in the HTTP-Header.

### Headers

**Accept**  
enum<string>  
The `Accept` header specifies the media type that the client expects in the response. Available options:  `application/json`,  `application/hal+json`,  `application/xml`,  `text/xml`,  `text/csv`. The default value is `application/json`.

### Path Parameters

- **localeId**  
string  
required  
The unique identifier for the Locale.

Required string length: `24`

Pattern: `^[a-z0-9]{24}$`

- **intentId**  
string  
required  
The unique identifier for the Intent.

Required string length: `24`

Pattern: `^[a-z0-9]{24}$`

- **sentenceId**  
string  
required  
The unique identifier for the Example Sentence.

Required string length: `24`

Pattern: `^[a-z0-9]{24}$`.
